Bug 59134 - Check JPDA API for thread safety and correct returned values.
Check JPDA API for thread safety and correct returned values.
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
5.x
PC All
: P1 (vote)
: 7.3
Assigned To: Martin Entlicher
issues@debugger
: API, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-20 19:34 UTC by Martin Entlicher
Modified: 2013-01-23 08:00 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2005-05-20 19:34:32 UTC
The summary says it all. Either the classes needs to be declared as not thread
safe, or proper synchronization needs to be applied.
It needs to be checked whether there can not be retuned null values from methods
that do not say so.
See issue #52180. During fixing that, some problems were encountered...
Comment 1 Peter Pis 2008-04-10 22:53:37 UTC
Changing TM for open issues.
Comment 2 Martin Entlicher 2013-01-10 15:40:50 UTC
IMHO, the concurrency problems were resolved already.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo